import { jsx } from "react/jsx-runtime";
import { TokenJUP as TokenJUP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenJUP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "JUP", "data-name": "TokenJUP", ...props, children: /* @__PURE__ */ jsx(TokenJUP$1, { variant }) });
  }
);
TokenJUP.displayName = "TokenJUP";
Object.assign(TokenJUP, { isGdsIcon: true });
export {
  TokenJUP
};
